%define name    xine-vcdx
%define ver     1
%define pre	rc0a
%define rel     0.rc0.2mdk
%define xineversion 1

Name: %{name}
Summary: VCD and SVCD Navigation plugin for xine
Version: %{ver}
Release: %{rel}
Group: Video
License: GPL
Url: http://savannah.nongnu.org/projects/libcdio/
Source: %{name}-%{version}-%pre.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libxine-devel >= %xineversion
BuildRequires: libvcd-devel >= 0.7.18
BuildRequires: libcddb-devel >= 0.9.4
BuildRequires: libcdio-devel >= 0.63
Requires: xine-plugins >= %xineversion

%description
This is a xine Video CD plugin for the xine media player. Its aim is
to add the full compliment of advanced VCD/SVCD features to xine:
playback control (PBC) including selections, still-frames and menus.

Along the way we picked also up an CD-DA plugin (Audio Compact Disc).

%prep
%setup -q -n %name-%version-%pre

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/xine/plugins/1.0.0/*.la

%clean
rm -r $RPM_BUILD_ROOT

%post
%_install_info vcd-plugin.info

%preun
%_remove_install_info vcd-plugin.info

%files
%defattr(-,root,root)
%doc AUTHORS README TODO NEWS THANKS
%{_libdir}/xine/plugins/1.0.0/xineplug_inp_vcdx.so
%{_libdir}/xine/plugins/1.0.0/xineplug_inp_cdx.so
%_infodir/vcd-plugin.info*

%changelog
* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.2mdk
- requires new libvcd
- requires new cdio library
- new version rc0a

* Mon Aug 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.1mdk
- requires new vcdimager
- new version

* Wed Jun 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.2mdk
- change the release tag

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12a.2mdk
- also requires latest libcddb

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12a.1mdk
- requires new cdio
- new version

* Sat May 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.1mdk
- add new files
- fix description
- buildrequires libvcd-devel
- new url
- new version

* Sat Mar 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta9.1mdk
- new version

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta4.1mdk
- new version

* Sun Jan 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta2.2mdk
- fix requires

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta2.1mdk
- new version for xine 1

* Wed Jan  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-3mdk
- fix URL and description (R. Bernstein <rocky@panix.com>)

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-2mdk
- fix requires and buildrequires

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- initial package


